Subject: Steps to submit a new arch/arm port

From: [email-masked] (Mason)
Date: Wed, 23 Sep 2015 11:26:33 +0200

On 22/09/2015 21:15, Arnd Bergmann wrote:
> On Tuesday 22 September 2015 17:54:04 Mason wrote:
>> On 22/09/2015 16:51, Arnd Bergmann wrote:
>>> On Tuesday 22 September 2015 16:36:48 Mason wrote:
>>>
>>>> arch/arm/mach-tangox/Kconfig
>>>> +if ARCH_TANGOX
>>>> +
>>>> +config UNCOMPRESS_INCLUDE
>>>> +	string
>>>> +	default "debug/uncompress.h"
>>>
>>> Better do this like everyone else.
>>
>> Do you mean I should provide an empty mach/uncompress.h ?
> 
> No, add a debug/*.S file for your uart and do the configuration in
> arch/arm/Kconfig.debug.
> 
> The UNCOMPRESS_INCLUDE symbol is defined in arch/arm/Kconfig.debug,
> and you should not duplicate that.

config UNCOMPRESS_INCLUDE
	string
	default "debug/uncompress.h" if ARCH_MULTIPLATFORM || ARCH_MSM || \
					PLAT_SAMSUNG || ARM_SINGLE_ARMV7M || \
					ARCH_SHMOBILE_LEGACY
	default "mach/uncompress.h"

I'm going for the smallest possible port, I don't have a debug/tango.S
I didn't define DEBUG_UNCOMPRESS in my .config, and I just wanted to
get this NOP definition from debug/uncompress.h

	static inline void putc(int c) {}

Are you saying I cannot do it like that?

If ARCH_MULTIPLATFORM is defined, then debug/uncompress.h will be
included, just like I want.

If ARCH_MULTIPLATFORM is not defined, can I do this in my port:

config UNCOMPRESS_INCLUDE
	string
	default "debug/uncompress.h" if !ARCH_MULTIPLATFORM

or add my platform to the list on arch/arm/Kconfig.debug?

Regards.